/* variables */

:root {
    --main-brand-color: #00674a;
    --extra-color: #ff6600;
    --extra-color-hover: #cc5200;
    --link-color: #52ae31;
}

.select2-results__option.select2-results__option--highlighted {
    background-color: var(--link-color) !important;
}

[data-css="login-wrapper"] [data-css="box"] {
    background: rgba(255, 255, 255, 0.65);
    box-shadow: 0 0 6px 4px rgba(0, 0, 0, 0.1);
}

[data-css="login-wrapper"] [data-css="box"] h5,
[data-css="login-wrapper"] a {
    color: var(--main-brand-color);
}

#auth-type-select ~ .select2.select2-container {
    width: 100% !important;
}

#auth-type-googleauthenticator .form-control {
    margin-bottom: 16px;
}

[data-css="login-wrapper"] [data-css="box"] .text-left,
#auth-type-ntlmsso {
    text-align: center !important;
    justify-content: center !important;
}

.btn.loginButton {
    width: 100%;
}

[data-css="login-container-fluid"] .bg-primary {
    background-color: #f4f3e0 !important;
}

[data-css="login-container-fluid"] .text-white {
    color: var(--main-brand-color) !important;
}

.identifier-login-block .input-group-text {
    display: none;
}

/* Internal styles */
body, .navbar-glass, .navbar-vertical .navbar-collapse {
    background-color: #fdfbf8;
}

a {
    color: var(--main-brand-color);
}

a:hover,
a:focus {
    color: var(--link-color);
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link:focus,
.navbar-light #navbarStandard .nav-link:hover,
.navbar-light #navbarStandard .nav-link:focus,
.navbar-vertical.navbar-light .nav-item .nav-link:hover,
.navbar-vertical.navbar-light .nav-item .nav-link:focus {
    color: var(--link-color);
}

.navbar-light .navbar-nav .active > .nav-link,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--link-color);
}

.navbar-toggler-humburger-icon:hover,
.navbar-toggler-humburger-icon:focus {
    background-color: transparent !important;
    box-shadow: none !important;
}

.navbar-toggler-humburger-icon:hover .toggle-line,
.navbar-toggler-humburger-icon:hover .navbar-toggle-icon:after,
.navbar-toggler-humburger-icon:hover .navbar-toggle-icon:before,
.navbar-toggler-humburger-icon:focus .toggle-line,
.navbar-toggler-humburger-icon:focus .navbar-toggle-icon:after,
.navbar-toggler-humburger-icon:focus .navbar-toggle-icon:before {
    background-color: var(--link-color);
}

.navbar-light .navbar-nav .show > .nav-link,
.navbar-light .navbar-nav .active > .nav-link,
.navbar-light .navbar-nav .nav-link.show,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--link-color);
}

.dropdown-menu .dropdown-item:hover,
.dropdown-menu .dropdown-item:focus {
    background-color: var(--link-color);
    color: #fff;
}

/* BUTTONS */

.btn.btn-primary {
    background-color: var(--extra-color);
    border-color: var(--extra-color);
}

.btn.btn-primary:hover,
.btn.btn-primary:active,
.btn.btn-primary:focus {
    background-color: var(--extra-color-hover) !important;
    border-color: var(--extra-color-hover) !important;
}

.avatar-name.bg-primary {
    background-color: var(--link-color) !important;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #006648;
}
